    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Toolkit

    java.lang.Object
       |
       +----java.awt.Toolkit

public abstract class Toolkit
extends Object

This class is the abstract superclass of all actual implementations of the Abstract Window Toolkit. Subclasses of `Toolkit` are used to bind the various components to particular native toolkit implementations.

Most applications should not call any of the methods in this class directly. The methods defined by `Toolkit` are the "glue" that joins the platform-independent classes in the `java.awt` package with their counterparts in `java.awt.peer`. Some methods defined by `Toolkit` query the native operating system directly.

##

Toolkit()

##

beep()
  Emits an audio beep.
checkImage(Image, int, int, ImageObserver)
  Indicates the construction status of a specified image that is being prepared for display.
createButton(Button)
  Creates this toolkit's implementation of `Button` using the specified peer interface.
createCanvas(Canvas)
  Creates this toolkit's implementation of `Canvas` using the specified peer interface.
createCheckbox(Checkbox)
  Creates this toolkit's implementation of `Checkbox` using the specified peer interface.
createCheckboxMenuItem(CheckboxMenuItem)
  Creates this toolkit's implementation of `CheckboxMenuItem` using the specified peer interface.
createChoice(Choice)
  Creates this toolkit's implementation of `Choice` using the specified peer interface.
createComponent(Component)
  Creates a peer for a component or container.
createDialog(Dialog)
  Creates this toolkit's implementation of `Dialog` using the specified peer interface.
createFileDialog(FileDialog)
  Creates this toolkit's implementation of `FileDialog` using the specified peer interface.
createFrame(Frame)
  Creates this toolkit's implementation of `Frame` using the specified peer interface.
createImage(byte[])
  Creates an image which decodes the image stored in the specified byte array.
createImage(byte[], int, int)
  Creates an image which decodes the image stored in the specified byte array, and at the specified offset and length.
createImage(ImageProducer)
  Creates an image with the specified image producer.
createLabel(Label)
  Creates this toolkit's implementation of `Label` using the specified peer interface.
createList(List)
  Creates this toolkit's implementation of `List` using the specified peer interface.
createMenu(Menu)
  Creates this toolkit's implementation of `Menu` using the specified peer interface.
createMenuBar(MenuBar)
  Creates this toolkit's implementation of `MenuBar` using the specified peer interface.
createMenuItem(MenuItem)
  Creates this toolkit's implementation of `MenuItem` using the specified peer interface.
createPanel(Panel)
  Creates this toolkit's implementation of `Panel` using the specified peer interface.
createPopupMenu(PopupMenu)
  Creates this toolkit's implementation of `PopupMenu` using the specified peer interface.
createScrollbar(Scrollbar)
  Creates this toolkit's implementation of `Scrollbar` using the specified peer interface.
createScrollPane(ScrollPane)
  Creates this toolkit's implementation of `ScrollPane` using the specified peer interface.
createTextArea(TextArea)
  Creates this toolkit's implementation of `TextArea` using the specified peer interface.
createTextField(TextField)
  Creates this toolkit's implementation of `TextField` using the specified peer interface.
createWindow(Window)
  Creates this toolkit's implementation of `Window` using the specified peer interface.
getColorModel()
  Determines the color model of this toolkit's screen.
getDefaultToolkit()
  Gets the default toolkit.
getFontList()
  Returns the names of the available fonts in this toolkit.

  For 1.1, the following font names are deprecated (the replacement name follows):

  - TimesRoman (use Serif)
  - Helvetica (use SansSerif)
  - Courier (use Monospaced)

  The ZapfDingbats font is also deprecated in 1.1, but only as a separate fontname.

getFontMetrics(Font)
  Gets the screen metrics of the font.
getFontPeer(String, int)
  Creates this toolkit's implementation of `Font` using the specified peer interface.
getImage(String)
  Returns an image which gets pixel data from the specified file.
getImage(URL)
  Returns an image which gets pixel data from the specified URL.
getMenuShortcutKeyMask()
  Determines which modifier key is the appropriate accelerator key for menu shortcuts.
getNativeContainer(Component)
  Give native peers the ability to query the native container given a native component (eg the direct parent may be lightweight).
getPrintJob(Frame, String, Properties)
  Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.
getProperty(String, String)
  Gets a property with the specified key and default.
getScreenResolution()
  Returns the screen resolution in dots-per-inch.
getScreenSize()
  Gets the size of the screen.
getSystemClipboard()
  Gets an instance of the system clipboard which interfaces with clipboard facilities provided by the native platform.
getSystemEventQueue()
  Get the application's or applet's EventQueue instance.
getSystemEventQueueImpl()
loadSystemColors(int[])
  Fills in the integer array that is supplied as an argument with the current system color values.
prepareImage(Image, int, int, ImageObserver)
  Prepares an image for rendering.
sync()
  Synchronizes this toolkit's graphics state.

##

Toolkit

     public Toolkit()

##

createButton

     protected abstract ButtonPeer createButton(Button target)

  Creates this toolkit's implementation of `Button` using the specified peer interface.

  Parameters:
    target - the button to be implemented.
  Returns:
    this toolkit's implementation of `Button`.
  See Also:
    Button, ButtonPeer

createTextField

     protected abstract TextFieldPeer createTextField(TextField target)

  Creates this toolkit's implementation of `TextField` using the specified peer interface.

  Parameters:
    target - the text field to be implemented.
  Returns:
    this toolkit's implementation of `TextField`.
  See Also:
    TextField, TextFieldPeer

createLabel

     protected abstract LabelPeer createLabel(Label target)

  Creates this toolkit's implementation of `Label` using the specified peer interface.

  Parameters:
    target - the label to be implemented.
  Returns:
    this toolkit's implementation of `Label`.
  See Also:
    Label, LabelPeer

createList

     protected abstract ListPeer createList(List target)

  Creates this toolkit's implementation of `List` using the specified peer interface.

  Parameters:
    target - the list to be implemented.
  Returns:
    this toolkit's implementation of `List`.
  See Also:
    List, ListPeer

createCheckbox

     protected abstract CheckboxPeer createCheckbox(Checkbox target)

  Creates this toolkit's implementation of `Checkbox` using the specified peer interface.

  Parameters:
    target - the check box to be implemented.
  Returns:
    this toolkit's implementation of `Checkbox`.
  See Also:
    Checkbox, CheckboxPeer

createScrollbar

     protected abstract ScrollbarPeer createScrollbar(Scrollbar target)

  Creates this toolkit's implementation of `Scrollbar` using the specified peer interface.

  Parameters:
    target - the scroll bar to be implemented.
  Returns:
    this toolkit's implementation of `Scrollbar`.
  See Also:
    Scrollbar, ScrollbarPeer

createScrollPane

     protected abstract ScrollPanePeer createScrollPane(ScrollPane target)

  Creates this toolkit's implementation of `ScrollPane` using the specified peer interface.

  Parameters:
    target - the scroll pane to be implemented.
  Returns:
    this toolkit's implementation of `ScrollPane`.
  See Also:
    ScrollPane, ScrollPanePeer

createTextArea

     protected abstract TextAreaPeer createTextArea(TextArea target)

  Creates this toolkit's implementation of `TextArea` using the specified peer interface.

  Parameters:
    target - the text area to be implemented.
  Returns:
    this toolkit's implementation of `TextArea`.
  See Also:
    TextArea, TextAreaPeer

createChoice

     protected abstract ChoicePeer createChoice(Choice target)

  Creates this toolkit's implementation of `Choice` using the specified peer interface.

  Parameters:
    target - the choice to be implemented.
  Returns:
    this toolkit's implementation of `Choice`.
  See Also:
    Choice, ChoicePeer

createFrame

     protected abstract FramePeer createFrame(Frame target)

  Creates this toolkit's implementation of `Frame` using the specified peer interface.

  Parameters:
    target - the frame to be implemented.
  Returns:
    this toolkit's implementation of `Frame`.
  See Also:
    Frame, FramePeer

createCanvas

     protected abstract CanvasPeer createCanvas(Canvas target)

  Creates this toolkit's implementation of `Canvas` using the specified peer interface.

  Parameters:
    target - the canvas to be implemented.
  Returns:
    this toolkit's implementation of `Canvas`.
  See Also:
    Canvas, CanvasPeer

createPanel

     protected abstract PanelPeer createPanel(Panel target)

  Creates this toolkit's implementation of `Panel` using the specified peer interface.

  Parameters:
    target - the panel to be implemented.
  Returns:
    this toolkit's implementation of `Panel`.
  See Also:
    Panel, PanelPeer

createWindow

     protected abstract WindowPeer createWindow(Window target)

  Creates this toolkit's implementation of `Window` using the specified peer interface.

  Parameters:
    target - the window to be implemented.
  Returns:
    this toolkit's implementation of `Window`.
  See Also:
    Window, WindowPeer

createDialog

     protected abstract DialogPeer createDialog(Dialog target)

  Creates this toolkit's implementation of `Dialog` using the specified peer interface.

  Parameters:
    target - the dialog to be implemented.
  Returns:
    this toolkit's implementation of `Dialog`.
  See Also:
    Dialog, DialogPeer

createMenuBar

     protected abstract MenuBarPeer createMenuBar(MenuBar target)

  Creates this toolkit's implementation of `MenuBar` using the specified peer interface.

  Parameters:
    target - the menu bar to be implemented.
  Returns:
    this toolkit's implementation of `MenuBar`.
  See Also:
    MenuBar, MenuBarPeer

createMenu

     protected abstract MenuPeer createMenu(Menu target)

  Creates this toolkit's implementation of `Menu` using the specified peer interface.

  Parameters:
    target - the menu to be implemented.
  Returns:
    this toolkit's implementation of `Menu`.
  See Also:
    Menu, MenuPeer

createPopupMenu

     protected abstract PopupMenuPeer createPopupMenu(PopupMenu target)

  Creates this toolkit's implementation of `PopupMenu` using the specified peer interface.

  Parameters:
    target - the popup menu to be implemented.
  Returns:
    this toolkit's implementation of `PopupMenu`.
  See Also:
    PopupMenu, PopupMenuPeer

createMenuItem

     protected abstract MenuItemPeer createMenuItem(MenuItem target)

  Creates this toolkit's implementation of `MenuItem` using the specified peer interface.

  Parameters:
    target - the menu item to be implemented.
  Returns:
    this toolkit's implementation of `MenuItem`.
  See Also:
    MenuItem, MenuItemPeer

createFileDialog

     protected abstract FileDialogPeer createFileDialog(FileDialog target)

  Creates this toolkit's implementation of `FileDialog` using the specified peer interface.

  Parameters:
    target - the file dialog to be implemented.
  Returns:
    this toolkit's implementation of `FileDialog`.
  See Also:
    FileDialog, FileDialogPeer

createCheckboxMenuItem

     protected abstract CheckboxMenuItemPeer createCheckboxMenuItem(CheckboxMenuItem target)

  Creates this toolkit's implementation of `CheckboxMenuItem` using the specified peer interface.

  Parameters:
    target - the checkbox menu item to be implemented.
  Returns:
    this toolkit's implementation of `CheckboxMenuItem`.
  See Also:
    CheckboxMenuItem, CheckboxMenuItemPeer

createComponent

     protected LightweightPeer createComponent(Component target)

  Creates a peer for a component or container. This peer is windowless and allows the Component and Container classes to be extended directly to create windowless components that are defined entirely in java.

  Parameters:
    target - The Component to be created.

getFontPeer

     protected abstract FontPeer getFontPeer(String name,
                                             int style)

  Creates this toolkit's implementation of `Font` using the specified peer interface.

  Parameters:
    target - the font to be implemented.
  Returns:
    this toolkit's implementation of `Font`.
  See Also:
    Font, FontPeer

loadSystemColors

     protected void loadSystemColors(int systemColors[])

  Fills in the integer array that is supplied as an argument with the current system color values.

  This method is called by the method `updateSystemColors` in the `SystemColor` class.

  Parameters:
    an - integer array.
  See Also:
    updateSystemColors

getScreenSize

     public abstract Dimension getScreenSize()

  Gets the size of the screen.

  Returns:
    the size of this toolkit's screen, in pixels.

getScreenResolution

     public abstract int getScreenResolution()

  Returns the screen resolution in dots-per-inch.

  Returns:
    this toolkit's screen resolution, in dots-per-inch.

getColorModel

     public abstract ColorModel getColorModel()

  Determines the color model of this toolkit's screen.

  `ColorModel` is an abstract class that encapsulates the ability to translate between the pixel values of an image and its red, green, blue, and alpha components.

  This toolkit method is called by the `getColorModel` method of the `Component` class.

  Returns:
    the color model of this toolkit's screen.
  See Also:
    ColorModel, getColorModel

getFontList

     public abstract String[] getFontList()

  Returns the names of the available fonts in this toolkit.

  For 1.1, the following font names are deprecated (the replacement name follows):

  - TimesRoman (use Serif)
  - Helvetica (use SansSerif)
  - Courier (use Monospaced)

  The ZapfDingbats font is also deprecated in 1.1, but only as a separate fontname. Unicode defines the ZapfDingbat characters starting at ?, and as of 1.1 Java supports those characters.

  Returns:
    the names of the available fonts in this toolkit.

getFontMetrics

     public abstract FontMetrics getFontMetrics(Font font)

  Gets the screen metrics of the font.

  Parameters:
    font - a font.
  Returns:
    the screen metrics of the specified font in this toolkit.

sync

     public abstract void sync()

  Synchronizes this toolkit's graphics state. Some window systems may do buffering of graphics events.

  This method ensures that the display is up-to-date. It is useful for animation.

getDefaultToolkit

     public static Toolkit getDefaultToolkit()

  Gets the default toolkit.

  If there is a system property named `"awt.toolkit"`, that property is treated as the name of a class that is a subclass of `Toolkit`.

  If the system property does not exist, then the default toolkit used is the class named `"sun.awt.motif.MToolkit"`, which is a motif implementation of the Abstract Window Toolkit.

  Returns:
    the default toolkit.
  Throws: AWTError
    if a toolkit could not be found, or if one could not be accessed or instantiated.

getImage

     public abstract Image getImage(String filename)

  Returns an image which gets pixel data from the specified file.

  Parameters:
    filename - the name of a file containing pixel data in a recognized file format.
  Returns:
    an image which gets its pixel data from the specified file.

getImage

     public abstract Image getImage(URL url)

  Returns an image which gets pixel data from the specified URL.

  Parameters:
    url - the URL to use in fetching the pixel data.
  Returns:
    an image which gets its pixel data from the specified URL.

prepareImage

     public abstract boolean prepareImage(Image image,
                                          int width,
                                          int height,
                                          ImageObserver observer)

  Prepares an image for rendering.

  If the values of the width and height arguments are both `-1`, this method prepares the image for rendering on the default screen; otherwise, this method prepares an image for rendering on the default screen at the specified width and height.

  The image data is downloaded asynchronously in another thread, and an appropriately scaled screen representation of the image is generated.

  This method is called by components `prepareImage` methods.

  Information on the flags returned by this method can be found with the definition of the `ImageObserver` interface.

  Parameters:
    image - the image for which to prepare a screen representation.
    width - the width of the desired screen representation, or `-1`.
    height - the height of the desired screen representation, or `-1`.
    observer - the `ImageObserver` object to be notified as the image is being prepared.
  Returns:
    `true` if the image has already been fully prepared; `false` otherwise.
  See Also:
    prepareImage, prepareImage, ImageObserver

checkImage

     public abstract int checkImage(Image image,
                                    int width,
                                    int height,
                                    ImageObserver observer)

  Indicates the construction status of a specified image that is being prepared for display.

  If the values of the width and height arguments are both `-1`, this method returns the construction status of a screen representation of the specified image in this toolkit. Otherwise, this method returns the construction status of a scaled representation of the image at the specified width and height.

  This method does not cause the image to begin loading. An application must call `prepareImage` to force the loading of an image.

  This method is called by the component's `checkImage` methods.

  Information on the flags returned by this method can be found with the definition of the `ImageObserver` interface.

  Parameters:
    image - the image whose status is being checked.
    width - the width of the scaled version whose status is being checked, or `-1`.
    height - the height of the scaled version whose status is being checked, or `-1`.
    observer - the `ImageObserver` object to be notified as the image is being prepared.
  Returns:
    the bitwise inclusive OR of the `ImageObserver` flags for the image data that is currently available.
  See Also:
    prepareImage, checkImage, checkImage, ImageObserver

createImage

     public abstract Image createImage(ImageProducer producer)

  Creates an image with the specified image producer.

  Parameters:
    producer - the image producer to be used.
  Returns:
    an image with the specified image producer.
  See Also:
    Image, ImageProducer, createImage

createImage

     public Image createImage(byte imagedata[])

  Creates an image which decodes the image stored in the specified byte array.

  The data must be in some image format, such as GIF or JPEG, that is supported by this toolkit.

  Parameters:
    imagedata - an array of bytes, representing image data in a supported image format.
  Returns:
    an image.

createImage

     public abstract Image createImage(byte imagedata[],
                                       int imageoffset,
                                       int imagelength)

  Creates an image which decodes the image stored in the specified byte array, and at the specified offset and length. The data must be in some image format, such as GIF or JPEG, that is supported by this toolkit.

  Parameters:
    imagedata - an array of bytes, representing image data in a supported image format.
    imageoffset - the offset of the beginning of the data in the array.
    imagelength - the length of the data in the array.
  Returns:
    an image.

getPrintJob

     public abstract PrintJob getPrintJob(Frame frame,
                                          String jobtitle,
                                          Properties props)

  Gets a `PrintJob` object which is the result of initiating a print operation on the toolkit's platform.

  Returns:
    a `PrintJob` object, or `null` if the user cancelled the print job.
  See Also:
    PrintJob

beep

     public abstract void beep()

  Emits an audio beep.

getSystemClipboard

     public abstract Clipboard getSystemClipboard()

  Gets an instance of the system clipboard which interfaces with clipboard facilities provided by the native platform.

  This clipboard enables data transfer between Java programs and native applications which use native clipboard facilities.

  Returns:
    an instance of the system clipboard.
  See Also:
    Clipboard

getMenuShortcutKeyMask

     public int getMenuShortcutKeyMask()

  Determines which modifier key is the appropriate accelerator key for menu shortcuts.

  Menu shortcuts, which are embodied in the `MenuShortcut` class, are handled by the `MenuBar` class.

  By default, this method returns `Event.CTRL_MASK`. Toolkit implementations should override this method if the Control key isn't the correct key for accelerators.

  Returns:
    the modifier mask on the `Event` class that is used for menu shortcuts on this toolkit.
  See Also:
    MenuBar, MenuShortcut

getNativeContainer

     protected static Container getNativeContainer(Component c)

  Give native peers the ability to query the native container given a native component (eg the direct parent may be lightweight).

getProperty

     public static String getProperty(String key,
                                      String defaultValue)

  Gets a property with the specified key and default. This method returns defaultValue if the property is not found.

getSystemEventQueue

     public final EventQueue getSystemEventQueue()

  Get the application's or applet's EventQueue instance. Depending on the Toolkit implementation, different EventQueues may be returned for different applets. Applets should therefore not assume that the EventQueue instance returned by this method will be shared by other applets or the system.

getSystemEventQueueImpl

     protected abstract EventQueue getSystemEventQueueImpl()

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.